%define upstream_name    B-CodeLines
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Lists executable lines of a Perl Program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
       This compiler backend prints the out the line numbers of the stopping
       points of a Perl program. It might be used for example for static 
       analysis to see of all lines have been executed, or in a when debugger
       breakpoint is requested (and other ways to get stopping points fails).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc ChangeLog SIGNATURE META.yml CHANGES META.json examples
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-9.mga8
+ Revision: 1492887
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-8.mga7
+ Revision: 1265736
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1022690
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 942636
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 741658
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 683581
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 509239
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 363277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 302388
- imported package perl-B-CodeLines


* Wed Oct 03 2012 cpan2dist 1.1-1mga
- initial mageia release, generated with cpan2dist
